错误 1638年"此程序的另一个版本已经安装"时安装本地配置存储

安装本地配置存储区之前查看系统必备组件

症状

运行 Microsoft Skype 业务服务器 2015年部署向导在统一通信管理 API (UCMA) 5.0 SDK 安装的计算机上安装本地配置存储区时,安装程序无法找到的 Microsoft Skype 业务服务器 2015,核心组件 (OCSCore.msi) 的位置。您会收到以下错误消息:

INSTALLDIR = 业务服务器 2015\")...failure 代码 1638年"C:\Program Files\Skype
安装 OcsCore.msi(Feature_LocalMgmtStore),1638年代码时出现错误。错误消息︰ 此产品的另一个版本已安装。此版本的安装无法继续。若要配置或删除这个产品的现有版本,请使用控制面板中的添加/删除程序。有关更多详细信息,请参阅日志在 [日期] [时间] 的 [用户] C:\Users\ \AppData\Local\Temp\1\Add-OcsCore.msi-Feature_LocalMgmtStore-.log

原因

因为 UCMA 5.0 SDK 安装的 OCSCore.msi 版本比本地配置存储区,将出现此问题。因此,不能在 UCMA 5.0 SDK 安装后安装本地配置存储。

解决方案

若要解决此问题,请按照以下方法,具体取决于哪种方案是在并且安装在您计算机上的本地配置存储中的操作︰

  • 如果没有 UCMA 5.0 SDK 安装在您的计算机上,执行下列操作︰

    • 从完整的 Skype 业务服务器安装运行安装程序并安装本地配置存储。

    • 然后安装 UCMA 5.0 SDK。


    注意:这些步骤将确保当运行 UCMASdkSetup.exe 时,OCSCore.msi 的安装被跳过。

  • 如果您已经安装了 UCMA 5.0 SDK,请执行以下操作︰

    • 卸载由 UCMA 5.0 SDK 安装的 OCSCore.msi。OCSCore.msi 被列为业务服务器 2015,核心组件的 Skype在控制面板 > 程序 > 程序和功能。

    • 请重新运行安装的本地配置存储。


    注意:如果您正在运行业务服务器部署向导由 UCMA 5.0 SDK 安装 Skype,指向完整 Skype 业务服务器安装 Msi 的路径在询问时。

系统必备组件

若要安装本地配置存储,必须具有完整的 Skype 业务 2015年安装服务器的访问。

详细信息

有关部署方案的 UCMA 应用程序的详细信息,请参阅部署 UCMA 4.0 和 UCMA 5.0 应用程序中的业务服务器 2015年环境 Skype

需要更多帮助?

扩展你的技能
了解培训
抢先获得新功能
加入 Microsoft 内部人员

此信息是否有帮助?

谢谢您的反馈意见!

谢谢你的反馈! 可能需要转接到 Office 支持专员。

×